
#if defined _rallymod_included
  #endinput
#endif
#define _rallymod_included

/**
 * Called when calling CPropVehicleDriveable::CanExitVehicle
 * Don't set to "true" in any cases!
 * if set to "true" and player keep pressing "E", will make the car CRAZY!!!
**/
forward Action:RCM_CanExitVehicle(car, client, &bool:canexit);

/**
 * Called when calling IServerVehicle::IsPassengerVisible
**/
forward Action:RCM_IsPassengerVisible(car, nRole, &bool:visible);

/**
 * Called when calling CPropVehicleDriveable::DriveVehicle
**/
forward RCM_DriveVehicle(car, client, bool:turnover, iButtons, bool:m_bExitAnimOn, bool:can_boot, m_nSpeed);


native RCM_BlockRoundEnd(bool:block);

native bool:RCM_InitJeep(entity);
native bool:RCM_SetPlayerToJeep(car, player);
native bool:RCM_StartCarEngine(car, bool:TurnOn);
native RCM_GetPlayerCar(client);
native bool:RCM_KickPassenger(entity); // can be car or player

/**
 * RCM_HandleEntryExitFinish(car,true,false) = kick player from the car
**/
native bool:RCM_HandleEntryExitFinish(car, bool:bExitAnimOn, bool:bResetAnim);


public Extension:__ext_rallymod = 
{
	name = "Rally Mod",
	file = "rallymod.ext",
#if defined AUTOLOAD_EXTENSIONS
	autoload = 1,
#else
	autoload = 0,
#endif
#if defined REQUIRE_EXTENSIONS
	required = 1,
#else
	required = 0,
#endif
};
